Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.jpdl.xml
Class JpdlXmlReader

    java.lang.Object
      org.jbpm.jpdl.xml.JpdlXmlReader

All Implemented Interfaces:
  java.io.Serializable, ProblemListener

    public class JpdlXmlReader

extends java.lang.Object
implements ProblemListener

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `initialNodeName`
`protected org.xml.sax.InputSource` | `inputSource`
`protected ProblemListener` | `problemListener`
`protected java.util.List` | `problems`
`protected ProcessDefinition` | `processDefinition`
`protected java.util.Collection` | `unresolvedActionReferences`
`protected java.util.Collection` | `unresolvedTransitionDestinations`

Constructor Summary
`JpdlXmlReader(org.xml.sax.InputSource inputSource)`
`JpdlXmlReader(org.xml.sax.InputSource inputSource, ProblemListener problemListener)`
`JpdlXmlReader(java.io.Reader reader)`

Method Summary
`protected void` | `addAction(GraphElement graphElement, java.lang.String eventType, Action action)`
`void` | `addError(java.lang.String description)`
`void` | `addError(java.lang.String description, java.lang.Throwable exception)`
`void` | `addProblem(Problem problem)`
`void` | `addUnresolvedActionReference(org.dom4j.Element actionElement, Action action)`
`void` | `addUnresolvedTransitionDestination(org.dom4j.Element nodeElement, Node node)`
`void` | `addWarning(java.lang.String description)`
`void` | `close()`
`Action` | `createAction(org.dom4j.Element actionElement)`
`Delegation` | `createMailDelegation(java.lang.String template, java.lang.String actors, java.lang.String to, java.lang.String subject, java.lang.String text)`
`ProcessDefinition` | `getProcessDefinition()`
`java.lang.String` | `getProperty(java.lang.String property, org.dom4j.Element element)`
`protected void` | `parseProcessDefinitionAttributes(org.dom4j.Element root)`
`int` | `read(char[] cbuf, int off, int len)` Deprecated. Originally, this class extended java.io.Reader. This method is reminiscent of those days.
`void` | `readAction(org.dom4j.Element element, Action action)`
`void` | `readActions(org.dom4j.Element eventElement, GraphElement graphElement, java.lang.String eventType)`
`protected Delegation` | `readAssignmentDelegation(org.dom4j.Element assignmentElement)`
`protected void` | `readEvents(org.dom4j.Element parentElement, GraphElement graphElement)`
`protected void` | `readExceptionHandler(org.dom4j.Element exceptionHandlerElement, GraphElement graphElement)`
`protected void` | `readExceptionHandlers(org.dom4j.Element graphElementElement, GraphElement graphElement)`
`void` | `readNode(org.dom4j.Element nodeElement, Node node, NodeCollection nodeCollection)`
`void` | `readNodes(org.dom4j.Element element, NodeCollection nodeCollection)`
`protected void` | `readNodeTimer(org.dom4j.Element timerElement, Node node)`
`protected void` | `readNodeTimers(org.dom4j.Element nodeElement, Node node)`
`ProcessDefinition` | `readProcessDefinition()`
`Action` | `readSingleAction(org.dom4j.Element nodeElement)`
`void` | `readStartStateTask(org.dom4j.Element startTaskElement, StartState startState)`
`protected void` | `readSwimlanes(org.dom4j.Element processDefinitionElement)`
`Task` | `readTask(org.dom4j.Element taskElement, TaskMgmtDefinition taskMgmtDefinition, TaskNode taskNode)`
`protected TaskController` | `readTaskController(org.dom4j.Element taskControllerElement)`
`void` | `readTasks(org.dom4j.Element element, TaskNode taskNode)`
`protected void` | `readTaskTimer(org.dom4j.Element timerElement, Task task)`
`protected void` | `readTaskTimers(org.dom4j.Element taskElement, Task task)`
`java.util.List` | `readVariableAccesses(org.dom4j.Element element)`
`void` | `resolveActionReferences()`
`void` | `resolveTransitionDestination(org.dom4j.Element transitionElement, Node node)`
`void` | `resolveTransitionDestinations()`
`void` | `resolveTransitionDestinations(java.util.List transitionElements, Node node)`
`void` | `verifySwimlaneAssignments()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### inputSource

    protected org.xml.sax.InputSource inputSource

### problems

    protected java.util.List problems

### problemListener

    protected ProblemListener problemListener

### processDefinition

    protected ProcessDefinition processDefinition

### initialNodeName

    protected java.lang.String initialNodeName

### unresolvedTransitionDestinations

    protected java.util.Collection unresolvedTransitionDestinations

### unresolvedActionReferences

    protected java.util.Collection unresolvedActionReferences

Constructor Detail

### JpdlXmlReader

    public JpdlXmlReader(org.xml.sax.InputSource inputSource)

### JpdlXmlReader

    public JpdlXmlReader(org.xml.sax.InputSource inputSource,
                         ProblemListener problemListener)

### JpdlXmlReader

    public JpdlXmlReader(java.io.Reader reader)

Method Detail

### close

    public void close()
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### read

    public int read(char[] cbuf,
                    int off,
                    int len)
             throws java.io.IOException

  Deprecated. Originally, this class extended java.io.Reader. This method is reminiscent of those days.

  Throws:
    `java.io.IOException`

### getProcessDefinition

    public ProcessDefinition getProcessDefinition()

### addProblem

    public void addProblem(Problem problem)

  Specified by:
    `addProblem` in interface `ProblemListener`

### addError

    public void addError(java.lang.String description)

### addError

    public void addError(java.lang.String description,
                         java.lang.Throwable exception)

### addWarning

    public void addWarning(java.lang.String description)

### readProcessDefinition

    public ProcessDefinition readProcessDefinition()

### parseProcessDefinitionAttributes

    protected void parseProcessDefinitionAttributes(org.dom4j.Element root)

### readSwimlanes

    protected void readSwimlanes(org.dom4j.Element processDefinitionElement)

### readNodes

    public void readNodes(org.dom4j.Element element,
                          NodeCollection nodeCollection)

### readTasks

    public void readTasks(org.dom4j.Element element,
                          TaskNode taskNode)

### readTask

    public Task readTask(org.dom4j.Element taskElement,
                         TaskMgmtDefinition taskMgmtDefinition,
                         TaskNode taskNode)

### readAssignmentDelegation

    protected Delegation readAssignmentDelegation(org.dom4j.Element assignmentElement)

### readTaskController

    protected TaskController readTaskController(org.dom4j.Element taskControllerElement)

### readVariableAccesses

    public java.util.List readVariableAccesses(org.dom4j.Element element)

### readStartStateTask

    public void readStartStateTask(org.dom4j.Element startTaskElement,
                                   StartState startState)

### readNode

    public void readNode(org.dom4j.Element nodeElement,
                         Node node,
                         NodeCollection nodeCollection)

### readNodeTimers

    protected void readNodeTimers(org.dom4j.Element nodeElement,
                                  Node node)

### readNodeTimer

    protected void readNodeTimer(org.dom4j.Element timerElement,
                                 Node node)

### readTaskTimers

    protected void readTaskTimers(org.dom4j.Element taskElement,
                                  Task task)

### readTaskTimer

    protected void readTaskTimer(org.dom4j.Element timerElement,
                                 Task task)

### readEvents

    protected void readEvents(org.dom4j.Element parentElement,
                              GraphElement graphElement)

### readActions

    public void readActions(org.dom4j.Element eventElement,
                            GraphElement graphElement,
                            java.lang.String eventType)

### addAction

    protected void addAction(GraphElement graphElement,
                             java.lang.String eventType,
                             Action action)

### readSingleAction

    public Action readSingleAction(org.dom4j.Element nodeElement)

### createAction

    public Action createAction(org.dom4j.Element actionElement)

### readAction

    public void readAction(org.dom4j.Element element,
                           Action action)

### readExceptionHandlers

    protected void readExceptionHandlers(org.dom4j.Element graphElementElement,
                                         GraphElement graphElement)

### readExceptionHandler

    protected void readExceptionHandler(org.dom4j.Element exceptionHandlerElement,
                                        GraphElement graphElement)

### addUnresolvedTransitionDestination

    public void addUnresolvedTransitionDestination(org.dom4j.Element nodeElement,
                                                   Node node)

### resolveTransitionDestinations

    public void resolveTransitionDestinations()

### resolveTransitionDestinations

    public void resolveTransitionDestinations(java.util.List transitionElements,
                                              Node node)

### resolveTransitionDestination

    public void resolveTransitionDestination(org.dom4j.Element transitionElement,
                                             Node node)

### addUnresolvedActionReference

    public void addUnresolvedActionReference(org.dom4j.Element actionElement,
                                             Action action)

### resolveActionReferences

    public void resolveActionReferences()

### verifySwimlaneAssignments

    public void verifySwimlaneAssignments()

### createMailDelegation

    public Delegation createMailDelegation(java.lang.String template,
                                           java.lang.String actors,
                                           java.lang.String to,
                                           java.lang.String subject,
                                           java.lang.String text)

### getProperty

    public java.lang.String getProperty(java.lang.String property,
                                        org.dom4j.Element element)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD